import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { CommunicationStatusSchema } from '../enums/CommunicationStatus.schema';
import { NestedIntFilterObjectSchema as NestedIntFilterObjectSchema } from './NestedIntFilter.schema';
import { NestedEnumCommunicationStatusFilterObjectSchema as NestedEnumCommunicationStatusFilterObjectSchema } from './NestedEnumCommunicationStatusFilter.schema'

const nestedenumcommunicationstatuswithaggregatesfilterSchema = z.object({
  equals: CommunicationStatusSchema.optional(),
  in: CommunicationStatusSchema.array().optional(),
  notIn: CommunicationStatusSchema.array().optional(),
  not: z.union([CommunicationStatusSchema, z.lazy(() => NestedEnumCommunicationStatusWithAggregatesFilterObjectSchema)]).optional(),
  _count: z.lazy(() => NestedIntFilterObjectSchema).optional(),
  _min: z.lazy(() => NestedEnumCommunicationStatusFilterObjectSchema).optional(),
  _max: z.lazy(() => NestedEnumCommunicationStatusFilterObjectSchema).optional()
}).strict();
export const NestedEnumCommunicationStatusWithAggregatesFilterObjectSchema: z.ZodType<Prisma.NestedEnumCommunicationStatusWithAggregatesFilter> = nestedenumcommunicationstatuswithaggregatesfilterSchema as unknown as z.ZodType<Prisma.NestedEnumCommunicationStatusWithAggregatesFilter>;
export const NestedEnumCommunicationStatusWithAggregatesFilterObjectZodSchema = nestedenumcommunicationstatuswithaggregatesfilterSchema;
